
Foreman - Feature #16607

Add rfc6902 and rfc7396 support to REST api 

09/20/2016 12:48 AM - James Shewey

Status: Rejected   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Recently the IETF has published proposed standards to add the PATCH method to the REST protocol:

https://tools.ietf.org/html/rfc6902

https://tools.ietf.org/html/rfc7396

This allows the programmer to update a single attribute of an object in-place instead of needing to GET the object and then replace

the entire object. Ruby libraries for adding this support may be found here:

http://jsonpatch.com/

History

#1 - 09/20/2016 03:14 AM - Dominic Cleal

- Category set to API

Note that the current PUT support in Foreman's API works in the same way as a patch, it only updates the attributes provided.

#2 - 09/20/2018 12:40 PM - Amit Karsale

- Status changed from New to Rejected

Based on Dominic's comment closing the issue. If somebody feels the need can re-open the issue.

Thanks.
